using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "a scarab corpse" )]
	public class Scarab : BaseCreature
	{
		[Constructable]
		public Scarab() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a scarab";
			Body = 245;
			BaseSoundID = 0x4F0;
			AnimationMod = 2;

			SetStr( 206, 280 );
			SetDex( 81, 105 );
			SetInt( 36, 60 );

			SetHits( 120, 150 );

			SetDamage( 7, 13 );

			SetSkill( SkillName.MagicResist, 40.0 );
			SetSkill( SkillName.Tactics, 70.0 );
			SetSkill( SkillName.HandToHand, 70.0 );

			Fame = 3000;
			Karma = -3000;

			VirtualArmor = 12;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override Poison PoisonImmune{ get{ return Poison.Regular; } }
		public override Poison HitPoison{ get{ return Poison.Regular; } }

		public Scarab( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}